Bug 181803 - Review Request: scrub
Review Request: scrub
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 13:36 EST by Ben Woodard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 07:56:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Woodard 2006-02-16 13:36:00 EST
Spec Name or Url: http://osdn.dl.sourceforge.net/sourceforge/diskscrub/scrub.spec
SRPM Name or Url: http://osdn.dl.sourceforge.net/sourceforge/diskscrub/scrub-1.7-2.src.rpm

Description: 

This utility writes patterns on files or disk devices to make
retrieving the data more difficult.  It operates in one of three
modes: 1) the special file corresponding to an entire disk is scrubbed 
and all data on it is destroyed;  2) a regular file is scrubbed and 
only the data in the file (and optionally its name in the directory 
entry) is destroyed; or 3) a regular file is created, expanded until 
the file system is full, then scrubbed as in 2).
Comment 1 Ben Woodard 2006-02-16 13:39:10 EST
I forgot to mention that I will need a sponsor.
Comment 2 Brian Pepple 2006-02-17 11:17:14 EST
I don't have permission to sponser you, but here's an initial package review.

MD5Sum:
faf66a307afbd06d57f617fa3176870f  scrub-1.7.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Package builds fine in Mock for FC5.
* Rpmlint does not find problems

Bad:
* Missing (rm -rf $RPM_BUILD_ROOT) at beginning of %install section.
Comment 3 Ben Woodard 2006-02-17 12:51:02 EST
Here is a new version of the spec file and the srpm which fixes the missing rm
-rf in the install section.

http://osdn.dl.sourceforge.net/sourceforge/diskscrub/scrub.spec
http://osdn.dl.sourceforge.net/sourceforge/diskscrub/scrub-1.7-3.src.rpm
Comment 4 Ed Hill 2006-02-19 09:44:04 EST
Hi Ben & Brian, this package looks fine (Brian did a good review), built 
in mock, and ran without seg-faulting on my system (FC4).  So I'd like to 
sponsor Ben if someone hasn't already.  APPROVED.

And Ben, have you submitted the account paperwork?  I can't seem to locate 
your username in the account system.
Comment 5 Michael Schwendt 2006-02-20 06:36:46 EST
Veto. There is "scrub" in FE already.
Comment 6 Ed Hill 2006-02-20 07:56:04 EST
Hi Michael, you're absolutely right.

So, I'll mark this entry as "NOTABUG".  And if Ben would like to have 
the existing FE version of scrub upgraded to 1.7 (from the current 1.6 
which is available for FC4 and devel) then please file a separate 
enhancement bug for that.

And, in future, I'm going to be more careful and check for existing FE
packages so I can hopefully avoid a repeat of this embarrassing 
situation.  :-)

Note You need to log in before you can comment on or make changes to this bug.